Page MenuHomePhabricator

[X86] Fix MCNullStreamer support for modules with a CodeView flag
ClosedPublic

Authored by eush on Nov 1 2018, 3:15 PM.

Details

Summary

This fixes -filetype=null support when compiling for a Win32 target
and the module has a CodeView flag.

The only places changed are the uses of getTargetStreamer function -
this patch guards both of them with null checks.

Diff Detail

Repository
rL LLVM

Event Timeline

eush created this revision.Nov 1 2018, 3:15 PM
RKSimon added inline comments.Nov 13 2018, 7:01 AM
lib/Target/X86/X86AsmPrinter.cpp
92 ↗(On Diff #172250)

(style) We normally do auto for cast cases like this as the type is obvious.

104 ↗(On Diff #172250)

(style) We normally do auto for cast cases like this as the type is obvious.

eush updated this revision to Diff 173995.Nov 14 2018, 12:55 AM

Fixed style.

eush marked 2 inline comments as done.Nov 14 2018, 12:56 AM
RKSimon accepted this revision.Nov 14 2018, 1:35 AM

LGTM

This revision is now accepted and ready to land.Nov 14 2018, 1:35 AM
eush added a comment.Nov 15 2018, 6:22 AM

Could you commit this patch on my behalf?

This revision was automatically updated to reflect the committed changes.